{% extends 'base.html' %}
{% load humanize %}

{% block content %}
<div class="container mt-5">
    <h1> Contribution History</h1>
    <div class="col-9">
        <div class="row ">
            <div class="h4-responsive text-capitalize mr-2">
                {{ contribs.0.staff_id.first_name }} {{ contribs.0.staff_id.last_name }}
            </div>
            <div class="h5-responsive">
                (<strong class="h6-responsive">Staff ID: </strong> {{ contribs.0.staff_id.username }})
            </div>
        </div>
    </div>
    <table class="mt-4">
        <thead>
        <tr>
            <th>Sr. No.</th>
            <th>Amount</th>
            <th>Description</th>
            <th>Date</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
        {% for contrib in contribs %}
        <tr>
            <td scope="row" data-title="Sr. No.">{{ forloop.counter0|add:contribs.start_index }}</td>
            <td data-title="Amount">{{ contrib.amount|intcomma }}</td>
            <td data-title="Description">{{ contrib.description }}</td>
            <td data-title="Date">{{ contrib.date_created }}</td>
            <td data-title="Action">
                <div class="form-row">
                    <a href="{% url 'view_contrib' %}?id={{ contrib.id }}"
                       class="btn btn-primary btn-rounded waves-effect btn-sm px-3">
                        <i class="fas fa-info-circle fa-1x mr-1"></i>Details
                    </a>
                    <a href="{% url 'update_contrib' contrib.staff_id.id contrib.id %}"
                       class="btn btn-danger btn-rounded waves-effect btn-sm px-3"><i
                            class="fas fa-pen fa-1x mr-1"></i>Update
                    </a>
                    <a href="{% url 'del_contrib' contrib.id %}"
                       class="btn btn-blue-grey btn-rounded waves-effect btn-sm px-3">
                        <i class="fas fa-trash fa-1x mr-1"></i>Delete
                    </a>
                </div>
            </td>

        </tr>
        {% endfor %}
        </tbody>
    </table>


    <!---- Pagination ----->
    <div class="row mt-5 mb-5 justify-content-center">
        {% if contribs.has_other_pages %}
        <nav aria-label="Page navigation example">

            <ul class="pagination pg-dark">
                {% if contribs.has_previous %}
                <li class="page-item ">
                    <a class="page-link" tabindex="-1"
                       href="?id={{ contribs.0.staff_id.id }}&page={{ contribs.previous_page_number }}">
                        Previous</a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <a class="page-link" tabindex="-1">Previous</a>
                </li>
                {% endif %}
                {% for i in contribs.paginator.page_range %}
                {% if contribs.number == i %}
                <li class="page-item active">
                    <a class="page-link">{{ i }} <span class="sr-only">(current)</span></a>
                </li>
                {% else %}
                <li class="page-item"><a class="page-link" href="?id={{ contribs.0.staff_id.id }}&page={{ i }}">{{ i }}</a>
                </li>
                {% endif %}
                {% endfor %}
                {% if contribs.has_next %}
                <li class="page-item ">
                    <a class="page-link" href="?id={{ contribs.0.staff_id.id }}&page={{ contribs.next_page_number }}">Next</a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <a class="page-link">Next</a>
                </li>
                {% endif %}

            </ul>
        </nav>
        {% endif %}
    </div>
    <!----- Pagination (endblock)---->
</div>

{% endblock %}